Resolve the ids of a previous build of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/ids/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/ids/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/ids/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"old_id": "AZ:L17142520",
"kind": "org",
"current_id": "AZ:L17142520",
"hops": []
},
{
"old_id": "AZ:agt:746abc7438c7",
"kind": "agent",
"current_id": "AZ:agt:746abc7438c7",
"hops": []
},
{
"old_id": "f506a2d7028fb9e473180c67b595699d",
"kind": "deal",
"current_id": "f506a2d7028fb9e473180c67b595699d",
"hops": []
},
{
"old_id": "person:ffffffffffff",
"kind": null,
"current_id": null,
"hops": []
}
],
"meta": {
"generated_at": "2026-10-13T18:19:18.619Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-08T20:30:24.586Z",
"published_at": "2026-10-08T20:32:52.094Z",
"run_id": 1791491428,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}The lean set (/v3)
Resolve the ids of a previous build of the lean set
Resolve up to 100 ids of a previous build of the lean set in one call.
GET
/
v3
/
ids
/
resolve
Resolve the ids of a previous build of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/ids/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/ids/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/ids/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"old_id": "AZ:L17142520",
"kind": "org",
"current_id": "AZ:L17142520",
"hops": []
},
{
"old_id": "AZ:agt:746abc7438c7",
"kind": "agent",
"current_id": "AZ:agt:746abc7438c7",
"hops": []
},
{
"old_id": "f506a2d7028fb9e473180c67b595699d",
"kind": "deal",
"current_id": "f506a2d7028fb9e473180c67b595699d",
"hops": []
},
{
"old_id": "person:ffffffffffff",
"kind": null,
"current_id": null,
"hops": []
}
],
"meta": {
"generated_at": "2026-10-13T18:19:18.619Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-08T20:30:24.586Z",
"published_at": "2026-10-08T20:32:52.094Z",
"run_id": 1791491428,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}This route serves the lean set under
/v3/ids/resolve. See The lean dataset for the tier rules.
Send ids as a comma list or as repeated keys, at most 100 ids of any kind. The answer carries one row for each id, in the
order sent. A row names the kind of the id, the id the set holds now and the alias rows the walk followed. An id the set
does not hold answers current_id: null and kind: null, never a 404. Ids and their stability says
what each id is made of and when it moves.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key.
Query Parameters
The ids to resolve (comma list or repeated key), at most 100, of any kind.
Minimum array length:
1Pattern:
^(?:[A-Z]{2}:(?:name:.{1,200}|agt:[0-9a-f]{12}|[A-Z0-9-]{1,40})|person:[0-9a-f]{12}|buyer:[0-9a-f]{12}|[0-9a-f]{32})$Response
The current id of each id of the list, or null for one the set does not hold.
The current id of each id of the list, or null for one the set does not hold.
Was this page helpful?